Build failing with 2016.3+Xcode8, DVTPlugInManager / watchOS issue?

Answered
Running AppCode 2016.3 EAP, after I switched to Xcode8 in Preferences>Tools>Xcode, 
I get this when I try to build my project. If I paste the xcodebuild command from this output
to the command line though, it works just fine.



/Applications/Xcode.app/Contents/Developer/usr/bin/xcodebuild -workspace /Users/mcbrd007/work/MicroContent/MyProject.xcodeproj/project.xcworkspace -scheme MyProject -configuration Debug -IDECustomDerivedDataLocation=/Users/mcbrd007/Library/Caches/AppCode2016.3/DerivedData SYMROOT=/Users/mcbrd007/Library/Caches/AppCode2016.3/DerivedData/MyProject-foeyaessojeytfgxmtuwgyyhyghh/Build/Products OBJROOT=/Users/mcbrd007/Library/Caches/AppCode2016.3/DerivedData/MyProject-foeyaessojeytfgxmtuwgyyhyghh/Build/Intermediates -destination id=90AE3439-9CFD-4645-9011-973B3A2142EF -destination-timeout 15 TEST_AFTER_BUILD=NO build
2016-10-07 11:14:43.423 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEWatchSupportCore.ideplugin (com.apple.dt.IDEWatchSupportCore) not present
2016-10-07 11:14:43.424 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEWatchSupportUI.ideplugin (com.apple.dt.IDEWatchSupportUI) not present
2016-10-07 11:14:43.424 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IBCocoaTouchBuildSupport.ideplugin (com.apple.dt.IDE.IBCocoaTouchBuildSupport) not present
2016-10-07 11:14:43.424 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEInterfaceBuilderiOSIntegration.ideplugin (com.apple.dt.IDE.IDEInterfaceBuilderiOSIntegration) not present
2016-10-07 11:14:43.424 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for GPUDebuggerOSXSupport.ideplugin (com.apple.dt.gpu.GPUDebuggerOSXSupport) not present
2016-10-07 11:14:43.425 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEOSXSupportCore.ideplugin (com.apple.dt.IDE.IDEOSXSupportCore) not present
2016-10-07 11:14:43.425 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEOSXSupportUI.ideplugin (com.apple.dt.IDE.IDEOSXSupportUI) not present
2016-10-07 11:14:43.425 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IBAppleTVBuildSupport.ideplugin (com.apple.dt.IDE.IBAppleTVBuildSupport) not present
2016-10-07 11:14:43.425 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEInterfaceBuilderAppleTVIntegration.ideplugin (com.apple.dt.IDE.IDEInterfaceBuilderAppleTVIntegration) not present
2016-10-07 11:14:43.425 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEInterfaceBuilderWatchKitBuildSupport.ideplugin (com.apple.dt.IDE.IDEInterfaceBuilderWatchKitBuildSupport) not present
2016-10-07 11:14:43.425 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEInterfaceBuilderWatchKitIntegration.ideplugin (com.apple.dt.IDE.IDEInterfaceBuilderWatchKitIntegration) not present
2016-10-07 11:14:43.425 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for DVTAppleTVSupportCore.dvtplugin (com.apple.dt.DVTAppleTVSupportCore) not present
2016-10-07 11:14:43.426 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for GPUDebuggertvOSSupport.ideplugin (com.apple.dt.gpu.GPUDebuggertvOSSupport) not present
2016-10-07 11:14:43.426 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEAppleTVSupportCore.ideplugin (com.apple.dt.IDEAppleTVSupportCore) not present
2016-10-07 11:14:43.426 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEAppleTVSupportUI.ideplugin (com.apple.dt.IDEAppleTVSupportUI) not present
2016-10-07 11:14:43.426 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for GPUDebuggeriOSSupport.ideplugin (com.apple.dt.gpu.GPUDebuggeriOSSupport) not present
2016-10-07 11:14:43.426 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for iCloudSupportTouch.ideplugin (com.apple.dt.IDE.iCloudSupportTouch) not present
2016-10-07 11:14:43.426 xcodebuild[39065:2249265] [MT] DVTPlugInManager: Required plug-in compatibility UUID 8A66E736-A720-4B3C-92F1-33D9962C69DF for IDEiOSPlatformSupportCore.ideplugin (com.apple.dt.IDEiOSPlatformSupportCore) not present
xcodebuild: error: Initialization failed.
Reason: Required content for platform watchOS is missing.

 

1 comment
Comment actions Permalink
Official comment

Hi Doug,

That's OC-14188, please vote & watch it for progress. In the meantime, try restarting IDE one more time - it should help.

Please sign in to leave a comment.